aboutsummaryrefslogtreecommitdiffstats
path: root/testing/xbindkeys/APKBUILD
diff options
context:
space:
mode:
authorAndrew Hills <ahills@ednos.net>2015-05-24 11:08:18 -0400
committerNatanael Copa <ncopa@alpinelinux.org>2015-05-29 05:51:26 +0000
commitad4e7ae5ecc2de2c0f4a5304b6cda1400d414704 (patch)
tree8724af4a1772e8ab47f8f3759258a60247fc0cd7 /testing/xbindkeys/APKBUILD
parent7cd392c2540284f8e56d85aab09889c67f634d42 (diff)
downloadaports-ad4e7ae5ecc2de2c0f4a5304b6cda1400d414704.tar.gz
aports-ad4e7ae5ecc2de2c0f4a5304b6cda1400d414704.tar.bz2
aports-ad4e7ae5ecc2de2c0f4a5304b6cda1400d414704.tar.xz
testing/xbindkeys: new aport
http://www.nongnu.org/xbindkeys/xbindkeys.html Program for launching shell commands via keyboard shortcuts in X
Diffstat (limited to 'testing/xbindkeys/APKBUILD')
-rw-r--r--testing/xbindkeys/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/xbindkeys/APKBUILD b/testing/xbindkeys/APKBUILD
new file mode 100644
index 0000000000..1ac7d52d4e
--- /dev/null
+++ b/testing/xbindkeys/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Andrew Hills <ahills@ednos.net>
+# Maintainer: Andrew Hills <ahills@ednos.net>
+pkgname=xbindkeys
+pkgver=1.8.6
+pkgrel=0
+pkgdesc="Program for launching shell commands via keyboard shortcuts in X"
+url="http://www.nongnu.org/xbindkeys/xbindkeys.html"
+arch="all"
+license="GPL2"
+depends="libx11"
+depends_dev="libx11-dev libc-dev"
+makedepends="$depends_dev"
+install=
+subpackages="$pkgname-doc"
+source="http://www.nongnu.org/$pkgname/$pkgname-$pkgver.tar.gz"
+
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --disable-guile \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --build=$CBUILD \
+ --host=$CHOST \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="c6ea9db56e075dae0697497e2ed390cc xbindkeys-1.8.6.tar.gz"
+sha256sums="6c0d18be19fc19ab9b4595edf3a23c0a6946c8a5eb5c1bc395471c8f9a710d18 xbindkeys-1.8.6.tar.gz"
+sha512sums="3c77541eae9f87d2020c2272984c221094276dae2a8690c5cec9fe1b23c0139229b8f56876170da70684aeaa128642349b6835c375d473186cbf8123517173ba xbindkeys-1.8.6.tar.gz"